Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.link.shape
Class LinkSpatialIndex

    java.lang.Object
      com.bbn.openmap.layer.shape.ShapeUtils
          com.bbn.openmap.layer.shape.SpatialIndex
              com.bbn.openmap.layer.link.shape.LinkSpatialIndex

All Implemented Interfaces:
  ShapeConstants

public class LinkSpatialIndex
extends SpatialIndex

Nested Class Summary

Nested classes inherited from class com.bbn.openmap.layer.shape.SpatialIndex
`SpatialIndex.Entry`

Field Summary

Fields inherited from class com.bbn.openmap.layer.shape.SpatialIndex
`bounds, dbf, DEFAULT_SHAPE_RECORD_SIZE, entries, pointIcon, SHAPE_FILE_HEADER_LENGTH, SHAPE_RECORD_HEADER_LENGTH, shp, shpFileName, SPATIAL_INDEX_HEADER_LENGTH, SPATIAL_INDEX_RECORD_LENGTH, ssx, ssxFileName`

Fields inherited from interface com.bbn.openmap.dataAccess.shape.ShapeConstants
`DBF_ATTRIBUTE, DBF_CHARACTER, DBF_DATE, DBF_LOGICAL, DBF_MEMO, DBF_NUMERIC, DBF_TYPE_CHARACTER, DBF_TYPE_DATE, DBF_TYPE_LOGICAL, DBF_TYPE_MEMO, DBF_TYPE_NUMERIC, PARAM_DBF, PARAM_SHP, PARAM_SHX, SHAPE_BOUNDS_ATTRIBUTE, SHAPE_DBF_DASHPATTERN, SHAPE_DBF_DASHPHASE, SHAPE_DBF_DESCRIPTION, SHAPE_DBF_FILLCOLOR, SHAPE_DBF_INFO_ATTRIBUTE, SHAPE_DBF_LINECOLOR, SHAPE_DBF_LINEWIDTH, SHAPE_DBF_SELECTCOLOR, SHAPE_FILE_RECORD_HEADER_LENGTH, SHAPE_INDEX_ATTRIBUTE, SHAPE_MAX_MEASURE_ATTRIBUTE, SHAPE_MAX_Z_ATTRIBUTE, SHAPE_MEASURE_ATTRIBUTE, SHAPE_MIN_MEASURE_ATTRIBUTE, SHAPE_MIN_Z_ATTRIBUTE, SHAPE_TYPE_ARC, SHAPE_TYPE_MULTIPATCH, SHAPE_TYPE_MULTIPOINT, SHAPE_TYPE_MULTIPOINTM, SHAPE_TYPE_MULTIPOINTZ, SHAPE_TYPE_NULL, SHAPE_TYPE_POINT, SHAPE_TYPE_POINTM, SHAPE_TYPE_POINTZ, SHAPE_TYPE_POLYGON, SHAPE_TYPE_POLYGONM, SHAPE_TYPE_POLYGONZ, SHAPE_TYPE_POLYLINE, SHAPE_TYPE_POLYLINEM, SHAPE_TYPE_POLYLINEZ, SHAPE_Z_ATTRIBUTE`

Constructor Summary
`LinkSpatialIndex(java.lang.String ssxFilename)` Opens a spatial index file for reading.
`LinkSpatialIndex(java.lang.String ssxFilename, java.lang.String shpFilename)` Opens a spatial index file and it's associated shape file.

Method Summary
`ESRIRecord` | `makeESRIRecord(int shapeType, byte[] b, int off)` Creates a record instance from the shape file data.

Methods inherited from class com.bbn.openmap.layer.shape.SpatialIndex
`close, createIndex, dumpIndex, entryIterator, entryIterator, getBounds, getDbf, getFactory, getOMGraphicAtOffset, getOMGraphics, getPointIcon, indexNulls, indexPoints, indexPolygons, intersects, locateAndSetShapeData, locateAndSetShapeData, locateFile, locateRecords, main, printUsage, readIndexFile, readIndexFile, resetBounds, setDbf, setFactory, setPointIcon`

Methods inherited from class com.bbn.openmap.layer.shape.ShapeUtils
`readBEInt, readBox, readLEDouble, readLEInt, readLEInt, readLELong, readPoint, writeBEInt, writeBox, writeLEDouble, writeLEInt, writeLELong, writePoint`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LinkSpatialIndex

    public LinkSpatialIndex(java.lang.String ssxFilename)
                     throws java.io.IOException

  Opens a spatial index file for reading.

Parameters:
  `ssxFilename` - the name of the spatial index file
Throws:
  `java.io.IOException` - if something goes wrong opening the file

### LinkSpatialIndex

    public LinkSpatialIndex(java.lang.String ssxFilename,
                            java.lang.String shpFilename)
                     throws java.io.IOException

  Opens a spatial index file and it's associated shape file.

Parameters:
  `ssxFilename` - the name of the spatial index file
  `shpFilename` - the name of the shape file
Throws:
  `java.io.IOException` - if something goes wrong opening the files

Method Detail

### makeESRIRecord

    public ESRIRecord makeESRIRecord(int shapeType,
                                     byte[] b,
                                     int off)
                              throws java.io.IOException

  Creates a record instance from the shape file data. Calls the appropriate record constructor based on the shapeType, and passes the buffer and offset to that constructor.

  Overrides:
    `makeESRIRecord` in class `SpatialIndex`
  Parameters:
    `shapeType` - the shape file's shape type, enumerated in `ShapeUtils`
    `b` - the buffer pointing to the raw record data
    `off` - the offset of the data starting point in the buffer
  Throws:
    `java.io.IOException` - if something goes wrong reading the file
  See Also:
    `ShapeUtils`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details